> ## Documentation Index
> Fetch the complete documentation index at: https://docs.recoupable.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Artist Albums

> Get Spotify catalog information about an artist's albums.



## OpenAPI

````yaml api-reference/openapi/social.json GET /api/spotify/artist/albums
openapi: 3.1.0
info:
  title: Recoup API - Social
  description: >-
    API documentation for the Recoup platform - an AI agent platform for the
    music industry
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.recoupable.dev
security: []
paths:
  /api/spotify/artist/albums:
    get:
      description: Get Spotify catalog information about an artist's albums.
      parameters:
        - name: id
          in: query
          description: The Spotify ID of the artist
          required: true
          schema:
            type: string
        - name: include_groups
          in: query
          description: >-
            A comma-separated list of keywords to filter the response. Valid
            values are: album, single, appears_on, compilation
          required: false
          schema:
            type: string
        - name: market
          in: query
          description: >-
            An ISO 3166-1 alpha-2 country code. If specified, only content
            available in that market will be returned
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: 'The maximum number of items to return (default: 20, min: 1, max: 50)'
          required: false
          schema:
            type: integer
            default: 20
            minimum: 1
            maximum: 50
        - name: offset
          in: query
          description: 'The index of the first item to return (default: 0)'
          required: false
          schema:
            type: integer
            default: 0
      responses:
        '200':
          description: Artist albums retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpotifyArtistAlbumsResponse'
        '400':
          description: Bad request - missing required parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpotifyErrorResponse'
components:
  schemas:
    SpotifyArtistAlbumsResponse:
      type: object
      properties:
        href:
          type: string
          description: A link to the Web API endpoint returning the full result
        limit:
          type: integer
          description: The maximum number of items in the response
        next:
          type: string
          nullable: true
          description: URL to the next page of items
        offset:
          type: integer
          description: The offset of the items returned
        previous:
          type: string
          nullable: true
          description: URL to the previous page of items
        total:
          type: integer
          description: The total number of items available
        items:
          type: array
          items:
            $ref: '#/components/schemas/SpotifySimplifiedAlbum'
          description: Array of simplified album objects
    SpotifyErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            status:
              type: integer
              description: HTTP status code
            message:
              type: string
              description: Error message
          description: Error details
    SpotifySimplifiedAlbum:
      type: object
      properties:
        album_type:
          type: string
          enum:
            - album
            - single
            - compilation
          description: The type of the album
        total_tracks:
          type: integer
          description: The number of tracks in the album
        available_markets:
          type: array
          items:
            type: string
          description: Markets in which the album is available
        external_urls:
          $ref: '#/components/schemas/SpotifyExternalUrls'
        href:
          type: string
          description: A link to the Web API endpoint providing full details
        id:
          type: string
          description: The Spotify ID for the album
        images:
          type: array
          items:
            $ref: '#/components/schemas/SpotifyImage'
          description: The cover art for the album in various sizes
        name:
          type: string
          description: The name of the album
        release_date:
          type: string
          description: The date the album was first released
        release_date_precision:
          type: string
          enum:
            - year
            - month
            - day
          description: The precision with which release_date value is known
        restrictions:
          type: object
          properties:
            reason:
              type: string
              description: The reason for the restriction
          description: Included when a content restriction is applied
        type:
          type: string
          enum:
            - album
          description: The object type, always 'album'
        uri:
          type: string
          description: The Spotify URI for the album
        artists:
          type: array
          items:
            $ref: '#/components/schemas/SpotifySimplifiedArtist'
          description: The artists of the album
        album_group:
          type: string
          enum:
            - album
            - single
            - compilation
            - appears_on
          description: The field to distinguish albums by various groups
    SpotifyExternalUrls:
      type: object
      properties:
        spotify:
          type: string
          description: The Spotify URL for the object
    SpotifyImage:
      type: object
      properties:
        url:
          type: string
          description: The source URL of the image
        height:
          type: integer
          nullable: true
          description: The image height in pixels
        width:
          type: integer
          nullable: true
          description: The image width in pixels
    SpotifySimplifiedArtist:
      type: object
      properties:
        external_urls:
          $ref: '#/components/schemas/SpotifyExternalUrls'
        href:
          type: string
          description: A link to the Web API endpoint providing full details
        id:
          type: string
          description: The Spotify ID for the artist
        name:
          type: string
          description: The name of the artist
        type:
          type: string
          enum:
            - artist
          description: The object type, always 'artist'
        uri:
          type: string
          description: The Spotify URI for the artist

````